Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.cluster
Class GetBasicStatistics

    java.lang.Object
      org.jivesoftware.openfire.cluster.GetBasicStatistics

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class GetBasicStatistics

extends Object
implements ClusterTask

Command that returns basic information about this JVM like number of client sessions, server sessions and amount of free and used memory.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Field Summary
`static String` | `CLIENT`
`static String` | `INCOMING`
`static String` | `MEMORY_CURRENT`
`static String` | `MEMORY_MAX`
`static String` | `NODE`
`static String` | `OUTGOING`

Constructor Summary
`GetBasicStatistics()`

Method Summary
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE

    public static final String NODE

See Also:
  Constant Field Values

### CLIENT

    public static final String CLIENT

See Also:
  Constant Field Values

### INCOMING

    public static final String INCOMING

See Also:
  Constant Field Values

### OUTGOING

    public static final String OUTGOING

See Also:
  Constant Field Values

### MEMORY_CURRENT

    public static final String MEMORY_CURRENT

See Also:
  Constant Field Values

### MEMORY_MAX

    public static final String MEMORY_MAX

See Also:
  Constant Field Values

Constructor Detail

### GetBasicStatistics

    public GetBasicStatistics()

Method Detail

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.